Last Comment Bug 668316 - canDrop is not implemented for about:sessionrestore's treeView
: canDrop is not implemented for about:sessionrestore's treeView
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All Other
: -- normal (vote)
: Firefox 8
Assigned To: Jez Ng [:int3]
:
Mentors:
Depends on:
Blocks: 729068
  Show dependency treegraph
 
Reported: 2011-06-29 12:43 PDT by Jez Ng [:int3]
Modified: 2012-02-21 04:03 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.02 KB, application/octet-stream)
2011-06-29 12:43 PDT, Jez Ng [:int3]
no flags Details
Patch v1 (1.02 KB, patch)
2011-06-29 12:52 PDT, Jez Ng [:int3]
paul: review+
Details | Diff | Review

Description Jez Ng [:int3] 2011-06-29 12:43:26 PDT
Created attachment 542909 [details]
Patch v1

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:5.0) Gecko/20100101 Firefox/5.0
Build ID: 20110615151330

Steps to reproduce:

1. Run a debug build and crash it a few times to bring up the about:sessionrestore page. (Opening the page directly is not sufficient; the treeView must be populated)
2. Open a new window
3. Drag the tab from the other window over the treeView


Actual results:

We get

************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'JavaScript component does not have a method named: "canDrop"' when calling method: [nsITreeView::canDrop]"  nsresult: "0x80570030 (NS_ERROR_XPC_JSOBJECT_HAS_NO_FUNCTION_NAMED)"  location: "<unknown>"  data: no]
************************************************************

printed to stderr.


Expected results:

We should not get these errors. This patch fixes it.
Comment 1 Jez Ng [:int3] 2011-06-29 12:52:20 PDT
Created attachment 542910 [details] [diff] [review]
Patch v1

Fixed the content type.
Comment 2 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2011-07-11 15:39:54 PDT
http://hg.mozilla.org/integration/fx-team/rev/d48d5cad9cc4
Comment 3 Tim Taubert [:ttaubert] 2011-07-13 15:29:06 PDT
http://hg.mozilla.org/mozilla-central/rev/d48d5cad9cc4

Note You need to log in before you can comment on or make changes to this bug.